import request from '@/utils/request';

/*  费用申请  */


// 列表
export async function carBookPageListAPI(data) {
  let par = new URLSearchParams(data);
  const res = await request.get(`/eom/logistictrakledger/page?` + par, {});
  if (res.data.code == 0) {
    return res.data.data.list;
  }
  return Promise.reject(new Error(res.data.message));
}


// 新增
export async function carSaveAPI(data) {
  const res = await request.post(`/eom/logistictrakledger/save`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 编辑
export async function carUpdateAPI(data) {
  const res = await request.put(`/eom/logistictrakledger/update`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 信息
export async function carInfoAPI(id) {
  const res = await request.get(`/eom/logistictrakledger/getById/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 删除
export async function carRemoveAPI(data) {
  const res = await request.delete('/eom/logistictrakledger/delete', {data});
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}
// 提交-开启流程
export async function carSubmit(data) {
  const res = await request.post('/bpm/logistictrakledger/submit', data);
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}
